igeo.io

## Class IObjFileImporter.Curve.Data

- java.lang.Object
- - igeo.io.IObjFileImporter.EntityData
  - - igeo.io.IObjFileImporter.ParametricGeometryData
    - - igeo.io.IObjFileImporter.Curve.Data

- Enclosing class:
    IObjFileImporter.Curve

      public class IObjFileImporter.Curve.Data
      extends IObjFileImporter.ParametricGeometryData

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IObjFileImporter.Degree.Data` | `degree`
    `IObjFileImporter.Parameter.Data` | `knots`
    `double` | `u0`
    `double` | `u1`
    `java.util.ArrayList<IObjFileImporter.GeometricVertex.Data>` | `vertices`

    - ### Fields inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `group`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Data()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `instantiate()`
    `void` | `setDegree(IObjFileImporter.Degree.Data d)`
    `void` | `setKnots(IObjFileImporter.Parameter.Data d)`

    - ### Methods inherited from class igeo.io.IObjFileImporter.ParametricGeometryData

      `addToGroup, setGroup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### u0

          public double u0

    - #### u1

          public double u1

    - #### vertices

          public java.util.ArrayList<IObjFileImporter.GeometricVertex.Data> vertices

    - #### degree

          public IObjFileImporter.Degree.Data degree

    - #### knots

          public IObjFileImporter.Parameter.Data knots

  - ### Constructor Detail

    - #### Data

          public Data()

  - ### Method Detail

    - #### setDegree

          public void setDegree(IObjFileImporter.Degree.Data d)

      Overrides:
        `setDegree` in class `IObjFileImporter.ParametricGeometryData`

    - #### setKnots

          public void setKnots(IObjFileImporter.Parameter.Data d)

      Overrides:
        `setKnots` in class `IObjFileImporter.ParametricGeometryData`

    - #### instantiate

          public void instantiate()

      Overrides:
        `instantiate` in class `IObjFileImporter.ParametricGeometryData`